Easy fix?: No Copied to github as #: 16947
Description

Currently, “buildvrt™ adds layers as a list of arguments; this can cause problems in case of a very long list. Better save the list in a file, and
pass this to the command

History

#1 - 2013-06-19 03:49 AM - Regis Haubourg

+1, you can raise a bit priority for this

#2 - 2017-01-02 05:55 AM - Giovanni Manghi

- Category changed from GDAL Tools to Processing/GDAL

#3 - 2017-05-01 12:48 AM - Giovanni Manghi
- Easy fix? set to No

#4 - 2017-08-15 01:30 PM - Nyall Dawson

- Status changed from Open to Feedback

This is fixed in processing version, isn't it?

#5 - 2017-08-15 11:36 PM - Giovanni Manghi
- Status changed from Feedback to Open

Nyall Dawson wrote:

This is fixed in processing version, isn't it?

no, | don't think so. Another issue in processing, compared "GDAL Tools"/"ftools", is that if | want to merge rasters/vectors or create a virtual rasters then
the input layers must be loaded in the project, while gdal tools/ftools allowed to use a folder as input.

#6 - 2017-08-16 06:00 AM - Nyall Dawson

I'm 99% sure this is fixed - see https://github.com/qgis/QGIS/blob/master/python/plugins/processing/algs/gdal/buildvrt.py#L 91

Regarding the non project layers, that's fixed in commit:5d4d12d371be72b66ae7e307ea84d5¢c153565dfd , part of
https://github.com/qgis/QGIS/blob/master/python/plugins/processing/algs/gdal/buildvrt.py#L91

https://github.com/qgis/QGIS/pull/5024. |s there a separate issue for that one?

#7 - 2017-08-18 03:23 PM - Giovanni Manghi
- Resolution set to fixed/implemented
- Status changed from Open to Closed

Nyall Dawson wrote:

I'm 99% sure this is fixed - see https:/github.com/qgis/QGIS/blob/master/python/plugins/processing/algs/gdal/buildvrt.py#L91

Regarding the non project layers, that's fixed in commit:5d4d12d371be72b66ae7e307ea84d5c153565dfd, part of

https://github.com/qqis/QGIS/pull/5024. Is there a separate issue for that one?

all good. | was almost sure there was a ticket about the non project layers but can't find it.
